Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356657 - Review Request: lxqt-wallet - Create a kwallet like functionality for LXQt
Summary: Review Request: lxqt-wallet - Create a kwallet like functionality for LXQt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews LXQt 1356739
TreeView+ depends on / blocked
 
Reported: 2016-07-14 15:33 UTC by Raphael Groner
Modified: 2016-09-22 18:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 18:49:46 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2016-07-14 15:33:33 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-wallet.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-admin-0.10.0-2.20160705git8acfd2a.fc24.src.rpm
Description: Create a kwallet like functionality for LXQt
This project seeks to give a functionality for secure storage
of information that can be presented in key-values pair like
user names-passwords pairs.

Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14896091

Note: Current directory structure of translation files is not useful for %find_lang. I'm working on a patch.

Comment 1 Raphael Groner 2016-07-14 22:22:41 UTC
> kwallet support NOT found,will not build kwallet functionality

Added KF5Notifications to BuildRequires.

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14899638

Comment 2 gil cattaneo 2016-07-15 09:43:54 UTC
Please use a valid src rpm
(lxqt-admin-0.10.0-2.20160705git8acfd2a.fc24.src.rpm)

Comment 4 gil cattaneo 2016-07-15 09:49:14 UTC
Please, remove:
BuildRequires:  gcc-c++

and change

BuildRequires:  libsecret-devel

with

BuildRequires:  pkgconfig(libsecret-1)

Comment 5 gil cattaneo 2016-07-15 10:13:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 10 files have unknown
     license. Detailed output of licensecheck in /home/gil/1356657-lxqt-
     wallet/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lxqt-
     wallet-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lxqt-wallet-2.2.1-1.fc25.i686.rpm
          lxqt-wallet-devel-2.2.1-1.fc25.i686.rpm
          lxqt-wallet-debuginfo-2.2.1-1.fc25.i686.rpm
          lxqt-wallet-2.2.1-1.fc25.src.rpm
lxqt-wallet.i686: W: spelling-error Summary(en_US) kwallet -> wallet, k wallet, walleye
lxqt-wallet.i686: W: spelling-error %description -l en_US kwallet -> wallet, k wallet, walleye
lxqt-wallet.i686: W: spelling-error %description -l en_US libgcrypt -> cryptically
lxqt-wallet.i686: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
lxqt-wallet.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
lxqt-wallet.i686: W: no-manual-page-for-binary lxqt_wallet-cli
lxqt-wallet.src: W: spelling-error Summary(en_US) kwallet -> wallet, k wallet, walleye
lxqt-wallet.src: W: spelling-error %description -l en_US kwallet -> wallet, k wallet, walleye
lxqt-wallet.src: W: spelling-error %description -l en_US libgcrypt -> cryptically
lxqt-wallet.src: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
lxqt-wallet.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
lxqt-wallet.src:83: W: macro-in-comment %{srcname}
4 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (debuginfo)
-------------------
Checking: lxqt-wallet-debuginfo-2.2.1-1.fc25.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
lxqt-wallet.i686: W: spelling-error Summary(en_US) kwallet -> wallet, k wallet, walleye
lxqt-wallet.i686: W: spelling-error %description -l en_US kwallet -> wallet, k wallet, walleye
lxqt-wallet.i686: W: spelling-error %description -l en_US libgcrypt -> cryptically
lxqt-wallet.i686: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
lxqt-wallet.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
lxqt-wallet.i686: W: unused-direct-shlib-dependency /usr/lib/liblxqtwallet.so.2.0.0 /lib/libKF5Notifications.so.5
lxqt-wallet.i686: W: unused-direct-shlib-dependency /usr/lib/liblxqtwallet.so.2.0.0 /lib/libgio-2.0.so.0
lxqt-wallet.i686: W: unused-direct-shlib-dependency /usr/lib/liblxqtwallet.so.2.0.0 /lib/libgobject-2.0.so.0
lxqt-wallet.i686: W: unused-direct-shlib-dependency /usr/lib/liblxqtwallet.so.2.0.0 /lib/libglib-2.0.so.0
lxqt-wallet.i686: W: unused-direct-shlib-dependency /usr/lib/liblxqtwallet.so.2.0.0 /lib/libm.so.6
lxqt-wallet.i686: W: no-manual-page-for-binary lxqt_wallet-cli
3 packages and 0 specfiles checked; 0 errors, 11 warnings.



Requires
--------
lxqt-wallet (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libKF5Notifications.so.5
    libKF5Wallet.so.5
    libQt5Core.so.5
    libQt5Core.so.5(Qt_5)
    libQt5Core.so.5(Qt_5.6)
    libQt5Gui.so.5
    libQt5Gui.so.5(Qt_5)
    libQt5Widgets.so.5
    libQt5Widgets.so.5(Qt_5)
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgcrypt.so.20
    libgcrypt.so.20(GCRYPT_1.6)
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libm.so.6
    libsecret-1.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

lxqt-wallet-debuginfo (rpmlib, GLIBC filtered):

lxqt-wallet-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    liblxqt-devel(x86-32)
    liblxqtwallet.so.2.0.0
    lxqt-wallet(x86-32)



Provides
--------
lxqt-wallet:
    liblxqtwallet.so.2.0.0
    lxqt-wallet
    lxqt-wallet(x86-32)

lxqt-wallet-debuginfo:
    lxqt-wallet-debuginfo
    lxqt-wallet-debuginfo(x86-32)

lxqt-wallet-devel:
    lxqt-wallet-devel
    lxqt-wallet-devel(x86-32)
    pkgconfig(lxqtwallet)



Source checksums
----------------
https://github.com/mhogomchungu/lxqt_wallet/archive/2.2.1/lxqt-wallet-2.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 533af761d5142f7acade6ca6099a232bc8a99e186860c49b445f77b541544d21
  CHECKSUM(SHA256) upstream package : 533af761d5142f7acade6ca6099a232bc8a99e186860c49b445f77b541544d21


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1356657 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 gil cattaneo 2016-07-15 10:14:21 UTC
Issues:
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

see also Comment#4

Comment 7 Raphael Groner 2016-07-15 18:49:27 UTC
(In reply to gil cattaneo from comment #4)
> Please, remove:
> BuildRequires:  gcc-c++

Some people like to see gcc etc. explicitly listed, anyways fixed.

> and change
> 
> BuildRequires:  libsecret-devel
> 
> with
> 
> BuildRequires:  pkgconfig(libsecret-1)

Fixed.

Comment 8 gil cattaneo 2016-07-15 19:40:43 UTC
Approved

Comment 9 Raphael Groner 2016-07-15 19:49:33 UTC
Thanks again for the good work!

Comment 10 Gwyn Ciesla 2016-07-15 19:52:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lxqt-wallet

Comment 11 gil cattaneo 2016-07-15 20:13:39 UTC
(In reply to Raphael Groner from comment #7)
> (In reply to gil cattaneo from comment #4)
> > Please, remove:
> > BuildRequires:  gcc-c++
> 
> Some people like to see gcc etc. explicitly listed, anyways fixed.
Please, revert this change i was not aware of https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#BuildRequires_and_Requires

Comment 12 Raphael Groner 2016-07-17 14:58:04 UTC
(In reply to Jon Ciesla from comment #10)
> Package request has been approved:
> https://admin.fedoraproject.org/pkgdb/package/rpms/lxqt-wallet

Will import when zuluCrypt finally unbundled.

(In reply to gil cattaneo from comment #11)
> (In reply to Raphael Groner from comment #7)
> > (In reply to gil cattaneo from comment #4)
> > > Please, remove:
> > > BuildRequires:  gcc-c++
> > 
> > Some people like to see gcc etc. explicitly listed, anyways fixed.
> Please, revert this change i was not aware of
> https://fedoraproject.org/wiki/Packaging:
> C_and_C%2B%2B#BuildRequires_and_Requires

Will do. That shouldn't be a big issue because gcc is still installed by default.

Comment 13 Fedora Update System 2016-08-03 20:42:04 UTC
lxqt-wallet-3.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f08257b92c

Comment 14 Fedora Update System 2016-08-03 20:42:14 UTC
lxqt-wallet-3.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f2d6af926

Comment 15 Fedora Update System 2016-08-04 23:51:24 UTC
lxqt-wallet-3.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f2d6af926

Comment 16 Fedora Update System 2016-08-05 00:20:34 UTC
lxqt-wallet-3.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f08257b92c

Comment 17 Fedora Update System 2016-08-05 20:16:19 UTC
lxqt-wallet-3.0.0-1.fc24 zulucrypt-5.0.0-2.20160802git064e9db.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f2d6af926

Comment 18 Fedora Update System 2016-08-05 21:56:18 UTC
lxqt-wallet-3.0.0-1.el7 zulucrypt-5.0.0-2.20160802git064e9db.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f08257b92c

Comment 19 Fedora Update System 2016-08-09 01:27:37 UTC
lxqt-wallet-3.0.0-1.fc24, zulucrypt-5.0.0-2.20160802git064e9db.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f2d6af926

Comment 20 Fedora Update System 2016-08-09 02:20:00 UTC
lxqt-wallet-3.0.0-1.el7, zulucrypt-5.0.0-2.20160802git064e9db.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f08257b92c

Comment 21 Fedora Update System 2016-08-15 21:26:36 UTC
lxqt-wallet-3.0.0-1.fc24, zulucrypt-5.0.0-2.20160802git064e9db.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-08-28 13:01:31 UTC
lxqt-wallet-3.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f08257b92c

Comment 23 Fedora Update System 2016-08-29 22:22:11 UTC
lxqt-wallet-3.0.0-1.el7, zulucrypt-5.0.0-3.20160802git064e9db.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f08257b92c

Comment 24 Fedora Update System 2016-09-22 18:49:46 UTC
lxqt-wallet-3.0.0-1.el7, zulucrypt-5.0.0-3.20160802git064e9db.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.